#include <bits/stdc++.h>

#define int int64_t

signed main()
{
  std::ios::sync_with_stdio(false);
  std::cin.tie(0);
  int n;
  std::cin >> n;
  n *= 2;
  for(int i = 1; i <= n / 2; i++) {
    std::cout << i << " ";
  }
  std::cout << "\n";
  for(int i = n; i > n / 2; i--) {
    std::cout << i << " ";
  }
}